Summary:	MM - Shared Memory Library
Summary(pl.UTF-8):	MM - Biblioteka pamięci dzielonej
Name:		mm
Version:	1.4.2
Release:	3
License:	BSD-like (see LICENSE)
Group:		Libraries
Source0:	ftp://ftp.ossp.org/pkg/lib/mm/%{name}-%{version}.tar.gz
# Source0-md5:	bdb34c6c14071364c8f69062d2e8c82b
URL:		http://www.engelschall.com/sw/mm/
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	libmm1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MM library is a 2-layer abstraction library which simplifies the
usage of shared memory between forked (and this way strongly related)
processes under Unix platforms. On the first (lower) layer it hides
all platform dependent implementation details (allocation and locking)
when dealing with shared memory segments and on the second (higher)
layer it provides a high-level malloc(3)-style API for a convenient
and well known way to work with data-structures inside those shared
memory segments.

%description -l pl.UTF-8
MM jest 2-warstwową, abstrakcyjną biblioteką upraszczającą korzystanie
z pamięci dzielonej pomiędzy rozgałęzionymi (i w ten sposób mocno
powiązanymi) procesami na platformach uniksowych. Pierwsza warstwa
(niższa) ukrywa wszystkie szczegóły zależne od platformy (alokacja i
blokowanie) przy obsłudze segmentów pamięci dzielonej. Druga (wyższa)
warstwa udostępnia wysokopoziomowe API podobne do malloc(3)
umożliwiające wygodną pracę ze strukturami danych w tych segmentach
pamięci dzielonej.

%package devel
Summary:	Header files and development documentation for mm
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do mm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libmm1-devel

%description devel
Header files and development documentation for mm.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do biblioteki mm.

%package static
Summary:	Static mm libraries
Summary(pl.UTF-8):	Biblioteki statyczne mm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mm libraries.

%description static -l pl.UTF-8
Biblioteki statyczne mm.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README THANKS
%attr(755,root,root) %{_libdir}/libmm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmm.so.14

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mm-config
%attr(755,root,root) %{_libdir}/libmm.so
%{_libdir}/libmm.la
%{_includedir}/mm.h
%{_mandir}/man1/mm-config.1*
%{_mandir}/man3/mm.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmm.a
%changelog
* Fri Jan 24 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mm.git;a=log;h=master

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 15a047f
- verbose lib, include, man files

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ecd2eb5
- ghost soname symlink
- rel 3

* Wed Dec 26 2007 Elan Ruusamäe <glen@pld-linux.org> c236c03
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 972d753
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d716be
- converted to UTF-8

* Wed Aug 16 2006 Jakub Bogusz <qboosh@pld-linux.org> df219b9
- updated to 1.4.2

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 2bdf5e6
- avoid defining default %attr

* Wed Oct 12 2005 darekr <darekr@pld-linux.org> e1170c0
- updated to 1.4.0

* Wed Sep 15 2004 Jakub Bogusz <qboosh@pld-linux.org> bee3fdd
- updated to 1.3.1, strict internal deps

* Mon Jan 05 2004 undefine <undefine@pld-linux.org> 04adfa0
- release 2

* Sat Dec 27 2003 undefine <undefine@pld-linux.org> 5fd0ee1
- copy config.sub to allow build on amd64, BR: libtool(used by makefile)

* Sun May 25 2003 Michal Moskal <michal@moskal.me> b1e6a8d
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e782e84
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Mar 19 2003 Jakub Bogusz <qboosh@pld-linux.org> 6806182
- 1.3.0

* Mon Nov 25 2002 ankry <ankry@pld-linux.org> 22a7884
- massive attack: no need for 755 for *.la

* Mon Nov 04 2002 Jakub Bogusz <qboosh@pld-linux.org> 781a986
- typos

* Mon Nov 04 2002 ankry <ankry@pld-linux.org> 1d30ae5
- fixed source URL and pl translation

* Mon Nov 04 2002 Jakub Bogusz <qboosh@pld-linux.org> 4a205ae
- obsolete

* Mon Nov 04 2002 Jakub Bogusz <qboosh@pld-linux.org> bfaf4b4
- merge from DEVEL (1.2.1 - not for Ra)

* Sun Aug 18 2002 Paweł Gołaszewski <blues@pld-linux.org> 7654e71
- release 6 - license fix

